Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 706534 - sys-fs/zfs-0.8.3 : fails to build with -fno-common or gcc-10
Summary: sys-fs/zfs-0.8.3 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Richard Yao
URL: https://github.com/zfsonlinux/zfs/iss...
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-26 19:06 UTC by Toralf Förster
Modified: 2020-03-30 21:08 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.41 KB, text/plain)
2020-01-26 19:06 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,110.36 KB, text/plain)
2020-01-26 19:06 UTC, Toralf Förster
Details
environment (environment,177.30 KB, text/plain)
2020-01-26 19:06 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,14.69 KB, application/x-bzip)
2020-01-26 19:06 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,15.52 KB, application/x-bzip)
2020-01-26 19:06 UTC, Toralf Förster
Details
sys-fs:zfs-0.8.3:20200126-185837.log (sys-fs:zfs-0.8.3:20200126-185837.log,250.42 KB, text/plain)
2020-01-26 19:06 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,48.80 KB, application/x-bzip)
2020-01-26 19:06 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-26 19:06:04 UTC
\
#	source='../../module/zcommon/zprop_common.c' object='zprop_common.lo' libtool=yes 
/bin/sh ../../libtool  --tag=CC --silent  --mode=compile x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -include ../../zfs_config.h -I../../include -I../../module/icp/include -I../../lib/libspl/include  -D_GNU_SOURCE -D_REENTRANT -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -DHAVE_LARGE_STACKS=1 -DTEXT_DOMAIN=\"zfs-linux-user\" -DLIBEXECDIR=\"/usr/libexec\" -DRUNSTATEDIR=\"/var/run\" -DSBINDIR=\"/sbin\" -DSYSCONFDIR=\"/etc\" -UDEBUG -DNDEBUG   -std=gnu99 -Wall -Wstrict-prototypes -fno-strict-aliasing -fno-omit-frame-pointer    -Wno-unused-but-set-variable -O2 -pipe -march=native -fno-common -c -o zprop_common.lo ../../module/zcommon/zprop_common.c
/bin/sh ../../libtool  --tag=CC --silent  --mode=link x86_64-pc-linux-gnu-gcc -std=gnu99 -Wall -Wstrict-prototypes -fno-strict-aliasing -fno-omit-frame-pointer    -Wno-unused-but-set-variable -O2 -pipe -march=native -fno-common -version-info 2:0:0 -Wl,-O1 -Wl,--as-needed -o libzfs.la -rpath /usr/lib64 libzfs_changelist.lo libzfs_config.lo libzfs_crypto.lo libzfs_dataset.lo libzfs_diff.lo libzfs_import.lo libzfs_iter.lo libzfs_mount.lo libzfs_pool.lo libzfs_sendrecv.lo libzfs_status.lo libzfs_util.lo algs/sha2/sha2.lo zfeature_common.lo zfs_comutil.lo zfs_deleg.lo zfs_fletcher.lo zfs_fletcher_aarch64_neon.lo zfs_fletcher_avx512.lo zfs_fletcher_intel.lo zfs_fletcher_sse.lo zfs_fletcher_superscalar.lo zfs_fletcher_superscalar4.lo zfs_namecheck.lo zfs_prop.lo zfs_uio.lo zpool_prop.lo zprop_common.lo ../../lib/libnvpair/libnvpair.la ../../lib/libshare/libshare.la ../../lib/libuutil/libuutil.la ../../lib/libzfs_core/libzfs_core.la ../../lib/libzutil/libzutil.la -lm -lssl -lcrypto -ludev -luuid -lz   
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: ../../lib/libshare/.libs/libshare.a(smb.o):(.bss+0x0): multiple definition of `smb_shares'; ../../lib/libshare/.libs/libshare.a(libshare.o):(.bss+0x0): first defined here
collect2: error: ld returned 1 exit status

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_no-multilib-20200124-204141

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *


llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *



repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Sun, 26 Jan 2020 17:49:34 +0000

emerge -qpvO sys-fs/zfs
[ebuild  N    ] sys-fs/zfs-0.8.3  USE="custom-cflags rootfs (split-usr) -debug (-kernel-builtin) -libressl -python -static-libs -test-suite" PYTHON_TARGETS="python2_7 python3_6 -python3_7"
Comment 1 Toralf Förster gentoo-dev 2020-01-26 19:06:07 UTC
Created attachment 604830 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-26 19:06:10 UTC
Created attachment 604832 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-26 19:06:13 UTC
Created attachment 604834 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-26 19:06:15 UTC
Created attachment 604836 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-26 19:06:18 UTC
Created attachment 604838 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-26 19:06:21 UTC
Created attachment 604840 [details]
sys-fs:zfs-0.8.3:20200126-185837.log
Comment 7 Toralf Förster gentoo-dev 2020-01-26 19:06:24 UTC
Created attachment 604842 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2020-02-07 05:37:32 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2a8fc3d832d03e405a2dcfae98fd246012b63c7a

commit 2a8fc3d832d03e405a2dcfae98fd246012b63c7a
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2020-02-07 04:37:58 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2020-02-07 05:11:19 +0000

    sys-fs/zfs: revbump 0.8.3, drop py2, gcc10 compat, fixes
    
    Bug: https://bugs.gentoo.org/693678
    Bug: https://bugs.gentoo.org/706534
    Package-Manager: Portage-2.3.87, Repoman-2.3.20
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 sys-fs/zfs/files/0.8.3-fno-common.patch            | 83 ++++++++++++++++++++++
 sys-fs/zfs/files/0.8.3-zfs-functions.patch         | 51 +++++++++++++
 .../zfs/{zfs-0.8.3.ebuild => zfs-0.8.3-r1.ebuild}  | 19 +++--
 3 files changed, 146 insertions(+), 7 deletions(-)
Comment 9 Larry the Git Cow gentoo-dev 2020-03-30 21:08:09 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3467e746deb5cbf5ae4c07a82a91c600712304bc

commit 3467e746deb5cbf5ae4c07a82a91c600712304bc
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2020-03-30 19:14:34 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2020-03-30 21:07:45 +0000

    sys-fs/zfs: drop 0.8.2
    
    Closes: https://bugs.gentoo.org/706534
    Package-Manager: Portage-2.3.96, Repoman-2.3.22
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 sys-fs/zfs/Manifest                                |   1 -
 .../files/0.8.2-ZPOOL_IMPORT_UDEV_TIMEOUT_MS.patch |  93 ---------
 sys-fs/zfs/zfs-0.8.2-r2.ebuild                     | 224 ---------------------
 3 files changed, 318 deletions(-)